Re: About the ide for fortran used by you.

I've found the Photran in the following web:

Also, I've read the download page:

On the above webpage, I found the following description:

Photran 6.0 is part of the Eclipse Helios release train, along with PTP
4.0. Eclipse 3.6 (Helios) was released on June 23, 2010. A list of new
features is available in the New& Noteworthy, and comprehensive
documentation is available.

Photran 6 requires Eclipse 3.6 (Helios) and CDT 7.0.

Then, I go to this site:

But, there are so many packages for download, and I cann't figure out
which packges should I download and install first. Could you give me
some hints?

If you want Eclipse only for your Fortran coding, the version 'Eclipse IDE for C/C++ Developers' will do - that's the one I used. Alternatively, you could of course download the 'Eclipse Classic' or 'Eclipse IDE for C/C++ Linux Developers (includes Incubating components)', but they both include many components which you probably don't need at the beginning.

Then follow the installation instructions for Photran on

They are very detailed and worked out of the box for me. Make sure you read it carefully first, then proceed step by step.